This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877615 - (CVE-2012-4202) CVE-2012-4202 Mozilla: Buffer overflow while rendering GIF images (MFSA 2012-92)
CVE-2012-4202 Mozilla: Buffer overflow while rendering GIF images (MFSA 2012-92)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20121120,repor...
: Security
Depends On:
Blocks: 873088
  Show dependency treegraph
 
Reported: 2012-11-17 06:13 EST by Huzaifa S. Sidhpurwala
Modified: 2013-01-16 12:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 12:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-11-17 06:13:10 EST
Security researcher Atte Kettunen from OUSPG used the Address Sanitizer tool to discover a buffer overflow while rendering GIF format images. This issue is potentially exploitable and could lead to arbitrary code execution. 


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-92.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Atte Kettunen from OUSPG as the original reporter.
Comment 1 errata-xmlrpc 2012-11-20 16:51:37 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1483 https://rhn.redhat.com/errata/RHSA-2012-1483.html
Comment 2 errata-xmlrpc 2012-11-20 17:12:14 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1482 https://rhn.redhat.com/errata/RHSA-2012-1482.html

Note You need to log in before you can comment on or make changes to this bug.